## org.apache.maven.shared.jar.identification.exposers
Class ManifestExposer

    java.lang.Object
      org.apache.maven.shared.jar.identification.exposers.ManifestExposer

All Implemented Interfaces:
  JarIdentificationExposer

    public class ManifestExposer

extends java.lang.Object
implements JarIdentificationExposer

Exposer that examines a JAR's manifest to derive Maven metadata.

Plexus Component:
  role="org.apache.maven.shared.jar.identification.JarIdentificationExposer" role-hint="manifest"

Constructor Summary
`ManifestExposer()`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManifestExposer

    public ManifestExposer()

Method Detail

### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

  Description copied from interface: `JarIdentificationExposer`
  Expose metadata during the identification process.

  Specified by:
    `expose` in interface `JarIdentificationExposer`
  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

Copyright © 2011. All Rights Reserved.